/*
* This file is part of Bielefeld Sensor Actuator Interface (BonSAI).
*
* Copyright(c) Frederic Siepmann
* http://opensource.cit-ec.de/projects/bonsai
*
* This file may be licensed under the terms of of the
* GNU Lesser General Public License Version 3 (the ``LGPL''),
* or (at your option) any later version.
*
* Software distributed under the License is distributed
* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
* express or implied. See the LGPL for the specific language
* governing rights and limitations.
*
* You should have received a copy of the LGPL along with this
* program. If not, go to http://www.gnu.org/licenses/lgpl.html
* or write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*
* The development of this software was supported by the
* Excellence Cluster EXC 277 Cognitive Interaction Technology.
* The Excellence Cluster EXC 277 is a grant of the Deutsche
* Forschungsgemeinschaft (DFG) in the context of the German
* Excellence Initiative.
*
* Contributors: Leon Ziegler, Johannes Wienke, Norman Köster, Torben Töniges,
* 				Annika Rothert, Alexander Baumann, Marcel Dulisch, Maikel Linke,
* 				Marian Pohling, Lukas Twardon
*/
package de.unibi.airobots.bonsai.actuators.data;

/**
 * This data holder represents the a camera position.
 * 
 * @author sebschne
 */
public class CameraPosition {

    private double tiltpos;
    private double panpos;
    private double zoompos;
    private double timestamp;

    /**
     * Constructor.
     * 
     * @param tiltpos
     *            current tiltpos.
     * @param panpos
     *            current panpos.
     * @param zoompos
     *            current zoompos.
     * @param timestamp
     *            time of the campos.
     */
    public CameraPosition(double tiltpos, double panpos, double zoompos,
            long timestamp) {
        this.tiltpos = tiltpos;
        this.panpos = panpos;
        this.zoompos = zoompos;
        this.timestamp = timestamp;
    }

    public double getTiltpos() {
        return tiltpos;
    }

    public double getZoompos() {
        return zoompos;
    }

    public double getPanpos() {
        return panpos;
    }

    public double getTimestamp() {
        return timestamp;
    }

}
